apiVersion: v2
name: chart.helm.sh
description: A Helm chart for Kubernetes
icon: https://artifacthub.io/static/media/helm-chart.svg

# A chart can be either an 'application' or a 'library' chart.
#
# Application charts are a collection of templates that can be packaged into versioned archives
# to be deployed.
#
# Library charts provide useful utilities or functions for the chart developer. They're included as
# a dependency of application charts to inject those utilities and functions into the rendering
# pipeline. Library charts do not define any templates and therefore cannot be deployed.
type: application

# This is the chart version. This version number should be incremented each time you make changes
# to the chart and its templates, including the app version.
# Versions are expected to follow Semantic Versioning (https://semver.org/)
version: 0.1.0

# This is the version number of the application being deployed. This version number should be
# incremented each time you make changes to the application. Versions are not expected to
# follow Semantic Versioning. They should reflect the version the application is using.
appVersion: 1.0.0

dependencies: # A list of the chart requirements (optional)
- name: "redis"
  condition: redis.enabled
  version: "15.5.5" # Redis v6.2.6
  repository: "https://charts.bitnami.com/bitnami"
- name: "postgresql"
  condition: postgresql.enabled
  version: "10.13.8" # PostgreSQL 11.14.0
  repository: "https://charts.bitnami.com/bitnami"
